// Circumvent browser cacheing of iframe URLs
// Useful during development when making rapid changes to an iframe's parameters

function force_iframe_src(e)
{
	var ifrms = document.getElementsByTagName('iframe');
	for (var i = 0; i < ifrms.length; i++)
	{
		ifrms[i].src = ifrms[i].src;
	}
}

if (typeof anti_cache === 'undefined' || anti_cache === true)
{
	if (window.addEventListener)
	{
		window.addEventListener('load', force_iframe_src, false);  // W3C
	}
	else if (window.attachEvent)
	{
		document.attachEvent('load', force_iframe_src); // IE  - Quirks Mode
	}
	else
	{
		document.onload = force_iframe_src; // Older browsers
	}
}